Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class SpaceResolver.SpaceHandlingPosition

    java.lang.Object
      org.apache.fop.layoutmgr.Position
          org.apache.fop.layoutmgr.SpaceResolver.SpaceHandlingPosition

Enclosing class:
  SpaceResolver

    public static class SpaceResolver.SpaceHandlingPosition

extends Position

Position class for no-break situations. It is used to notify layout manager about the effective spaces and conditional lengths.

Constructor Summary
`SpaceResolver.SpaceHandlingPosition(SpaceResolver resolver)` Main constructor.

Method Summary
`SpaceResolver` | `getSpaceResolver()`
`void` | `notifySpaceSituation()` Notifies all affected layout managers about the current situation in the part to be handled for area generation.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.layoutmgr.Position
`generatesAreas, getIndex, getLM, getLM, getPosition, getPosition, getShortLMName, setIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpaceResolver.SpaceHandlingPosition

    public SpaceResolver.SpaceHandlingPosition(SpaceResolver resolver)

  Main constructor.

  Parameters:
    `resolver` - the space resolver that provides the info about the actual situation

Method Detail

### getSpaceResolver

    public SpaceResolver getSpaceResolver()

  Returns:
    the space resolver

### notifySpaceSituation

    public void notifySpaceSituation()

  Notifies all affected layout managers about the current situation in the part to be handled for area generation.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Position`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.